#' @title A package to quickly and easily handle IP addresses.
#'
#' @description A toolkit for manipulating, validating and testing 'IP' addresses and
#'  ranges, along with datasets relating to 'IP' addresses. Tools are also provided
#'  to map IPv4 blocks to country codes. While it primarily has support for the 'IPv4'
#'  address space, more extensive 'IPv6' support is intended.
#'
#' @name iptools
#' @docType package
#' @useDynLib iptools
#' @importFrom Rcpp sourceCpp
# @import grid
# @importFrom RColorBrewer brewer.pal
# @importFrom ggplot2 ggplot geom_point aes labs scale_color_manual element_blank
# @importFrom ggplot2 scale_x_continuous scale_y_reverse coord_equal
# @importFrom ggplot2 element_blank element_rect element_text theme theme_bw
#' @import utils
#' @import stats
#' @import AsioHeaders
#' @import ISOcodes
NULL